<xs:element name="vehicle" type="tipodevehicle">

 <xs:simpleType name="tipodevehicle">
    <xs:restriction base="xs:string">
        <xs:pattern value="vaixell|bicicleta|cotxe|tren"/>
    </xs:restriction>
 </xs:simpleType>
</xs:element>